# Tests

This page should give you an overview over all tests for this plugin. 

## Global `conftest.py`

**Module:** `tests.conftest`

```{eval-rst}
.. automodule:: tests.conftest
   :members:
   :private-members:
   :undoc-members:
```

## Standard Tests

```{eval-rst}
.. automodule:: tests.test_clean_headers
   :members:
   :private-members:
   :undoc-members:
```

```{eval-rst}
.. automodule:: tests.test_parametrize
   :members:
   :private-members:
   :undoc-members:
```

```{eval-rst}
.. automodule:: tests.test_read_csv
   :members:
   :private-members:
   :undoc-members:
```

```{eval-rst}
.. automodule:: tests.test_varname
   :members:
   :private-members:
   :undoc-members:
```

```{eval-rst}
.. automodule:: tests.test_version_check
   :members:
   :private-members:
   :undoc-members:
```

## Plugin Tests

These tests test the plugin code by inserting the plugin into a test pytest instance.

### Plugin `conftest.py`

**Module:** `tests.plugin.conftest`

```{eval-rst}
.. automodule:: tests.plugin.conftest
   :members:
   :private-members:
   :undoc-members:
```

### Tests

```{eval-rst}
.. automodule:: tests.plugin.test_cmd_line
   :members:
   :private-members:
   :undoc-members:
```

```{eval-rst}
.. automodule:: tests.plugin.test_plugin
   :members:
   :private-members:
   :undoc-members:
```

## POC Tests

### POC `conftest.py`

**Module:** `tests.poc.conftest`

```{eval-rst}
.. automodule:: tests.poc.conftest
   :members:
   :private-members:
   :undoc-members:
```

### Tests

```{eval-rst}
.. automodule:: tests.poc.test_parametrize_with_generator
   :members:
   :private-members:
   :undoc-members:
```

## Examples

```{eval-rst}
.. automodule:: tests.test_docs_example
   :members:
   :private-members:
   :undoc-members:
```

```{eval-rst}
.. automodule:: tests.test_blog_example
   :members:
   :private-members:
   :undoc-members:
```

```{eval-rst}
.. automodule:: tests.test_complex_example
   :members:
   :private-members:
   :undoc-members:
```
